Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5276)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5280)
@@ -6,13 +6,19 @@
 export DATESTR=$( LC_ALL=C date -d"${date_test}" +%Y%m%dT%H%M )
 
+# External softs directories
+export DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0 DIR_OASI=${DIR_WORK}/OASIS
+
+# Environment architecture (XIOS for compliance)
+. ${DIR_XIOS}/arch/arch-${ARCH}.env
+
 # Super-computers configuration
 if   [ $USER == ${IDRIS_ID} ]; then 
-    ARCH=X64_ADA_trust
+    ARCH=X64_ADA_trust  ; COMPILER=ifort; MPI=intel
     # Job commands : LoadLeveler
     JOB_SUB=llsubmit; JOB_LIST=llq    ; JOB_VIEW='llq -xl'; JOB_DEL=llcancel                          
-    # Directories $HOME $WORKDIR $COMMONDIR $TMPDIR
+    # Directories $HOME $WORKDIR $COMMONDIR $TMPDIR     ergon
     DIR_WORK=$WORKDIR   ; DIR_SCRA=$TMPDIR/trusting    ; DIR_STOR=trusting_sav
 elif [ $USER == ${TGCC_ID}  ]; then
-    ARCH=X64_CURIE_trust
+    ARCH=X64_CURIE_trust; COMPILER=ifort; MPI=bullxmpi
     # Job commands : ccc_*
     JOB_SUB=ccc_msub; JOB_LIST=ccc_mpp; JOB_VIEW=ccc_macct; JOB_DEL=ccc_mdel                          
@@ -20,10 +26,12 @@
     DIR_WORK=$CCCWORKDIR; DIR_SCRA=$SCRATCHDIR/trusting; DIR_STOR=$CCCSTOREDIR/trusting_sav
 else
-    ARCH=''
+    ARCH=''             ; COMPILER=''   ; MPI=''
     JOB_SUB=''      ; JOB_LIST=''     ; JOB_VIEW=''       ; JOB_DEL=''                                
     DIR_WORK=''     	; DIR_SCRA=''                  ; DIR_STOR=''
 fi
 
-export ARCH
+[ -z "$FC" ] && COMPILER=$FC
+
+export ARCH     COMPILER MPI
 export JOB_SUB  JOB_LIST JOB_VIEW JOB_DEL 
 export DIR_WORK DIR_SCRA DIR_STOR 
@@ -38,12 +46,6 @@
 export NEMO_FORC=${DIR_WORK}/NEMO/FORC FORC_TAR=ORCA2_LIM_nemo_v3.6.tar
 
-# External softs directories
-export DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0 DIR_OASI=${DIR_WORK}/OASIS
-
-# Environment architecture (XIOS for compliance)
-. ${DIR_XIOS}/arch/arch-${ARCH}.env
-
 # Comparatives directories localization
-DIR_REFE=${DIR_STOR}/${CONF_REF}/${NEMO_BRAN}
-DIR_TEST=${DIR_SCRA}/${CONF_REF}/${NEMO_BRAN}/trusting_${DATESTR}
+DIR_REFE=${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
+DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATESTR}
 export DIR_REFE DIR_TEST
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5276)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5280)
@@ -5,6 +5,8 @@
 DEBUG=0; PUBLISH=0; status='OK'
 NEMO_BRAN=trunk; # dev_r5092_CNRS_SETTE dev_v3_4_STABLE_2012
-compiler=ifort   # gfortran f95 f90 pgfortran pgf95 pgf90 mpifort mpif90
-mpi=bullxmpi     # openmpi mpich intel mpxlf
+CONF_REFE=ORCA2_LIM_PISCES
+CONF_TEST=${CONF_REFE}_trust
+#COMPILER=ifort gfortran f95 f90 pgfortran pgf95 pgf90 mpifort mpif90 mpiifort
+#MPI=bullxmpi openmpi mpich intel mpxlf
 
 
@@ -45,15 +47,15 @@
 # 
 #=============================================
-for rel in $compiler $mpi netcdf; do
+for rel in $COMPILER $MPI netcdf; do
     printf "Step......................\nGet $rel release\n" > mesg_03_step.txt
     arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
     [ -z "${arch_rel}" ] && arch_rel=$( echo $PATH | sed "s#.*$rel/\([^/]*\).*#\1#" )
-    [[ $rel == $compiler && -z "$FC" ]] && arch_rel=$FC
+    [[ $rel == $COMPILER && -z "$FC" ]] && arch_rel=$( $FC --version | grep -m1 -o ' [0-9.]* ' )
     echo $rel ${arch_rel} >> model.log
 done
 
 sed -n 1p model.log | sed 'i\Fortran compiler' > mesg_04_curiec.txt
-sed -n 2p model.log | sed 'i\MPI             ' > mesg_05_mpicurie.txt
-sed -n 3p model.log | sed 'i\NetCDF          ' > mesg_06_netcdf_curie.txt
+sed -n 2p model.log | sed 'i\MPI libraries   ' > mesg_05_mpicurie.txt
+sed -n 3p model.log | sed 'i\NetCDF libraries' > mesg_06_netcdf_curie.txt
 
 
@@ -73,5 +75,5 @@
 printf "Step......................\nCompilation NEMO configuration %s\n" ${CONF_REF} > mesg_03_step.txt
 cd ${NEMO_CONF}
-./makenemo -n ${CONF_TEST} clean
+#[ -d ${CONF_TEST} ] && ./makenemo -n ${CONF_TEST} clean
 ./makenemo -n ${CONF_TEST} -r ${CONF_REFE} -m $ARCH -j 16 #> /dev/null 2>&1
 [ ! -e ${CONF_TEST}/BLD/bin/nemo.exe ] && getout