Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_ADA.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_ADA.cfg	(revision 5283)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_ADA.cfg	(revision 5283)
@@ -0,0 +1,17 @@
+# 
+COMPILER=ifort
+MPI_NAME=intel
+
+# Job commands: LoadLeveler
+JOB_SUBM=llsubmit
+JOB_LIST=llq
+JOB_VIEW='llq -xl'
+JOB_DELE=llcancel                          
+
+# Directories ($HOME/$WORKDIR/$COMMONDIR/$TMPDIR/ergon)
+DIR_WORK=$WORKDIR
+DIR_SCRA=$TMPDIR/trusting
+DIR_STOR=trusting_sav
+
+# Loading environment architecture
+. ${DIR_XIOS}/arch/arch-${ARCH}.env
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg	(revision 5283)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg	(revision 5283)
@@ -0,0 +1,17 @@
+# 
+COMPILER=ifort
+MPI_NAME=bullxmpi
+
+# Job commands: ccc_*
+JOB_SUBM=ccc_msub
+JOB_LIST=ccc_mpp
+JOB_VIEW=ccc_macct
+JOB_DELE=ccc_mdel                          
+
+# Directories ($HOME/$WORKDIR/$SCRATCHDIR/$STOREDIR)
+DIR_WORK=$CCCWORKDIR
+DIR_SCRA=$SCRATCHDIR/trusting
+DIR_STOR=$CCCSTOREDIR/trusting_sav
+
+# Loading environment architecture
+. ${DIR_XIOS}/arch/arch-${ARCH}.env
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/nemo.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/nemo.cfg	(revision 5283)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/nemo.cfg	(revision 5283)
@@ -0,0 +1,6 @@
+# NEMO root directory
+NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
+
+# NEMO inputs (comment if necessary)
+NEMO_FORC=${DIR_WORK}/NEMO/FORC       # Directory synchronized with
+FORC_TARF=ORCA2_LIM_nemo_v3.6.tar     # Requested archive name 
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/template.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/template.cfg	(revision 5283)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/template.cfg	(revision 5283)
@@ -0,0 +1,21 @@
+#
+COMPILER=          # ifort/gfortran/pgfortran/$FC/... (to get compiler version with `$COMPILER --version`)
+MPI_NAME=          # MPI libraries                    (directory name in $LOADEDMODULES or $PATH variable)
+
+# Job commands:
+JOB_SUBM=          # Command to submit a job
+JOB_LIST=          #   " "   to list submitted jobs  (to know if the job still running)
+JOB_VIEW=          #   " "   to get job informations (to increment a log during computing)
+JOB_DELE=          #   " "   to stop a job           (not used currently)
+
+# Directories
+DIR_WORK=          # Directory of testing   configuration for compilation
+DIR_SCRA=          #    " "    ""   " "          " "      " " computation to increase perfs on some super-computers
+                   #            (will copy into it all requested input files forcing & ".*(cfg|opa|ref|xml)" files)
+DIR_STOR=          #    " "    "" reference      " "      (output & restart files to compare)
+
+# External softs directories
+#DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0      # Uncomment if necessary
+#DIR_OASI=${DIR_WORK}/OASIS              # Uncomment if necessary
+# Loading environment architecture (compliance with XIOS)
+#. ${DIR_XIOS}/arch/arch-${ARCH}.env     # Uncomment if necessary
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5282)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5283)
@@ -4,48 +4,28 @@
 # Time-stamp
 date_test=$( date )
-export DATESTR=$( LC_ALL=C date -d"${date_test}" +%Y%m%dT%H%M )
+export DATE_STR=$( LC_ALL=C date -d"${date_test}" +%Y%m%dT%H%M )
 
-# External softs directories
-export DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0 DIR_OASI=${DIR_WORK}/OASIS
 
-# Environment architecture (XIOS for compliance)
-. ${DIR_XIOS}/arch/arch-${ARCH}.env
+# Sourcing super-computer running configuration
+. cfg/$ARCH.cfg
 
-# Super-computers configuration
-if   [ $USER == ${IDRIS_ID} ]; then 
-    ARCH=X64_ADA_trust  ; COMPILER=ifort; MPI=intel
-    # Job commands : LoadLeveler
-    JOB_SUB=llsubmit; JOB_LIST=llq    ; JOB_VIEW='llq -xl'; JOB_DEL=llcancel                          
-    # Directories $HOME $WORKDIR $COMMONDIR $TMPDIR     ergon
-    DIR_WORK=$WORKDIR   ; DIR_SCRA=$TMPDIR/trusting    ; DIR_STOR=trusting_sav
-elif [ $USER == ${TGCC_ID}  ]; then
-    ARCH=X64_CURIE_trust; COMPILER=ifort; MPI=bullxmpi
-    # Job commands : ccc_*
-    JOB_SUB=ccc_msub; JOB_LIST=ccc_mpp; JOB_VIEW=ccc_macct; JOB_DEL=ccc_mdel                          
-    # Directories $HOME $WORKDIR            $SCRATCHDIR $STOREDIR
-    DIR_WORK=$CCCWORKDIR; DIR_SCRA=$SCRATCHDIR/trusting; DIR_STOR=$CCCSTOREDIR/trusting_sav
-else
-    ARCH=''             ; COMPILER=''   ; MPI=''
-    JOB_SUB=''      ; JOB_LIST=''     ; JOB_VIEW=''       ; JOB_DEL=''                                
-    DIR_WORK=''     	; DIR_SCRA=''                  ; DIR_STOR=''
-fi
+export COMPILER MPI_NAME
+export JOB_SUBM JOB_LIST JOB_VIEW JOB_DELE
+export DIR_WORK DIR_SCRA DIR_STOR
+export DIR_XIOS DIR_OASI
 
-[ -z "$FC" ] && COMPILER=$FC
 
-export ARCH     COMPILER MPI
-export JOB_SUB  JOB_LIST JOB_VIEW JOB_DEL 
-export DIR_WORK DIR_SCRA DIR_STOR 
+# Sourcing NEMO configuration
+. cfg/nemo.cfg
 
-# NEMO directories
-NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
-export NEMO_HOME
-NEMO_ARCH=${NEMO_HOME}/ARCH        ; NEMO_CONF=${NEMO_HOME}/CONFIG         ; NEMO_ENGI=${NEMO_HOME}/NEMO
-NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm; NEMO_IPSL=${NEMO_HOME}/EXTERNAL/IOIPSL; NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
-export NEMO_ARCH NEMO_CONF NEMO_EFCM NEMO_ENGI NEMO_IPSL NEMO_TCMP
-# NEMO inputs
-export NEMO_FORC=${DIR_WORK}/NEMO/FORC FORC_TAR=ORCA2_LIM_nemo_v3.6.tar
+export NEMO_HOME NEMO_FORC FORC_TARF
+NEMO_ARCH=${NEMO_HOME}/ARCH         ; NEMO_CONF=${NEMO_HOME}/CONFIG         ; NEMO_ENGI=${NEMO_HOME}/NEMO
+NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm ; NEMO_IPSL=${NEMO_HOME}/EXTERNAL/IOIPSL; NEMO_SETT=${NEMO_HOME}/SETTE
+NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
+export NEMO_ARCH NEMO_CONF NEMO_EFCM NEMO_ENGI NEMO_IPSL NEMO_SETT NEMO_TCMP
+
 
 # Comparatives directories localization
 DIR_REFE=${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
-DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATESTR}
+DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
 export DIR_REFE DIR_TEST
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5282)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5283)
@@ -5,4 +5,5 @@
 DEBUG=0; PUBLISH=0; status='OK'
 NEMO_BRAN=trunk; # dev_r5092_CNRS_SETTE dev_v3_4_STABLE_2012
+ARCH=              # arch-${ARCH}.env to be sourced in ${DIR_XIOS} or leave blank without file
 CONF_REFE=ORCA2_LIM_PISCES
 CONF_TEST=${CONF_REFE}_trust
@@ -23,7 +24,7 @@
     esac
 done
-export CONF_REFE CONF_TEST DEBUG NEMO_BRAN PUBLISH
+export ARCH CONF_REFE CONF_TEST DEBUG NEMO_BRAN PUBLISH
 
-[ $# -ne 1 ] && { ./trusting.sh -h && exit; }
+#[ $# -ne 1 ] && { ./trusting.sh -h && exit; }
 # suspend debug mode (too verbose)
 #[ $debug -eq 1 ] && set +vx
@@ -47,9 +48,9 @@
 # 
 #=============================================
-for rel in $COMPILER $MPI netcdf; do
+for rel in $COMPILER $MPI_NAME $NETCDFF; do
     printf "Step......................\nGet $rel release\n" > mesg_03_step.txt
     arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
-    [ -z "${arch_rel}" ] && arch_rel=$( echo $PATH | sed "s#.*$rel/\([^/]*\).*#\1#" )
-    [[ $rel == $COMPILER && -z "$FC" ]] && arch_rel=$( $FC --version | grep -m1 -o ' [0-9.]* ' )
+    [ -z "${arch_rel}"  ] && arch_rel=$( echo $PATH | sed "s#.*$rel/\([^/]*\).*#\1#" )
+    [ $rel == $COMPILER ] && arch_rel=$( $FC --version | grep -m1 -o ' [0-9.]* ' )
     echo $rel ${arch_rel} >> model.log
 done
@@ -115,9 +116,9 @@
 #---------------------------------------------
 printf "Step......................\nTest if solver exists\n"   > mesg_03_step.txt
-if [ ! -f ${solver_test} ]; then
-    grep 'E R R O R' ocean.output    >> mesg_11_comments.txt
-    sed 's/^/Time step :/' time.step >> mesg_11_comments.txt
-    getout
-fi
+#if [ ! -f ${solver_test} ]; then
+#    grep 'E R R O R' ocean.output    >> mesg_11_comments.txt
+#    sed 's/^/Time step :/' time.step >> mesg_11_comments.txt
+#    getout
+#fi
 
 
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh	(revision 5282)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh	(revision 5283)
@@ -52,7 +52,7 @@
 
         # Add tar saved into {DIR_STOR}
-#	find ${DIR_SCRA}/trusting/${CONF_REF}/* -prune -mtime +7 -exec /bin/rm -rf {} \; > /dev/null 2>&1
-#       [ -f ${DIR_REFE}/${CONF_REF}.tar ] && \rm ${DIR_STOR}/${CONF_REF}.tar
-        tar -cf ${DIR_REFE}/trusting_${DATESTR}.tar .
+	find ${DIR_SCRA}/trusting/${CONF_REF}/* -prune -mtime +7 -exec /bin/rm -rf {} \; > /dev/null 2>&1
+        [ -f ${DIR_STOR}/${CONF_REF}.tar ] && \rm ${DIR_STOR}/${CONF_REF}.tar
+        tar -cf ${DIR_STOR}/${CONF_REF}.tar .
 
         exit
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt	(revision 5282)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt	(revision 5283)
@@ -11,5 +11,5 @@
 
 Examples:"
-   $ trusting -p ORCA2_LIM3
+   $ trusting -p IPSLCM5A
 
 Notes: