Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg	(revision 5285)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg	(revision 5286)
@@ -1,5 +1,9 @@
-# 
+# Curie super-computer configuration
+
+# Available softwares:
+CDO=cdo 
 COMPILER=ifort
-MPI_NAME=bullxmpi
+MPI=bullxmpi
+NETCDF=netcdf
 
 # Job commands: ccc_*
@@ -9,9 +13,8 @@
 JOB_DELE=ccc_mdel                          
 
-# Directories ($HOME/$WORKDIR/$SCRATCHDIR/$STOREDIR)
-DIR_WORK=$CCCWORKDIR
-DIR_SCRA=$SCRATCHDIR/trusting
-DIR_STOR=$CCCSTOREDIR/trusting_sav
+#
+[ -z "$NPROC"     ] && NPROC=1
+[ -z "$TIME_LIMI" ] && TIME_LIMI=10800 # 3h
 
-# Loading environment architecture
-. ${DIR_XIOS}/arch/arch-${ARCH}.env
+# Architecture environment (be careful with compliance with XIOS)
+ARCH_ENV=${DIR_XIOS}/arch/arch-${ARCH}.env
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/arch_template.cfg	(revision 5286)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/arch_template.cfg	(revision 5286)
@@ -0,0 +1,22 @@
+# Copy to ./$ARCH.cfg, fill in according to your installation
+
+# Super-computer configuration
+
+# Available softwares:
+CDO=''           			# CDO (Climate Data Operators)     (to get application version with `$CDO      --version`)
+COMPILER=''      			# ifort/gfortran/pgfortran/$FC/... ("" " " compiler      " "    ""  `$COMPILER --version`)
+MPI=''           			# MPI    libraries                 (root directory name in $LOADEDMODULES or $PATH variable)
+NETCDF=''        			# NetCDF    " "                    ( ""     " "     ""  ""       ""       ""  " "     ""   )
+
+# Job commands:
+JOB_SUBM=''   	 			# Command to submit a job && get his ID in return
+JOB_LIST=''    	 			#   " "   to list submitted jobs  (to know if the job is in progress with his ID)
+JOB_VIEW=''   	 			#   " "   to get job informations (to increment a log during computing from job ID)
+JOB_DELE=''   	 			#   " "   to stop a job           (not used currently)
+
+# 
+[ -z "$NPROC"     ] && NPROC=1          # Number of processing units for compilation
+[ -z "$TIME_LIMI" ] && TIME_LIMI=''     # Timeout in s for computation (pending & running)
+
+# Architecture environment (be careful with compliance with XIOS)
+ARCH_ENV=''                             # ${DIR_WORK}/XIOS/arch/arch-${ARCH}.env
Index: anches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/nemo.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/nemo.cfg	(revision 5285)
+++ 	(revision )
@@ -1,6 +1,0 @@
-# NEMO root directory
-NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
-
-# NEMO inputs (comment if necessary)
-NEMO_FORC=${DIR_WORK}/NEMO/FORC       # Directory synchronized with
-FORC_TARF=ORCA2_LIM_nemo_v3.6.tar     # Requested archive name 
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user.cfg	(revision 5286)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user.cfg	(revision 5286)
@@ -0,0 +1,27 @@
+# User configuration
+
+# Global Directories ($HOME/$WORKDIR/$SCRATCHDIR/$STOREDIR)
+DIR_WORK=$CCCWORKDIR
+DIR_SCRA=$SCRATCHDIR/trusting	       	    
+DIR_STOR=$CCCSTOREDIR/trusting_sav     	    
+
+# NEMO overall configuration:
+[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=trunk
+[ -z "${CONF_REFE}" ] && CONF_REFE=ORCA2_LIM_PISCES
+[ -z "${CONF_TEST}" ] && CONF_TEST=${CONF_REFE}_trust
+NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
+
+# Comparatives directories localization:
+DIR_REFE=${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
+DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
+
+# External softs directories:
+DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0
+DIR_OASI=${DIR_WORK}/OASIS
+
+# NEMO inputs
+NEMO_FORC=${DIR_WORK}/NEMO/FORC
+FORC_TARF=ORCA2_LIM_nemo_v3.6.tar
+
+# Mailing list to inform of a failure, -p|--publish option required
+[ -z "$MAIL"] && MAIL=ntmlod@locean-ipsl.upmc.fr
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user_template.cfg	(revision 5286)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user_template.cfg	(revision 5286)
@@ -0,0 +1,32 @@
+# Copy to ./user.cfg, fill in according to your installation
+
+# User configuration
+
+# Global Directories:
+DIR_WORK=''   	 			  # Directory for compilation
+DIR_SCRA=''    	 			  #    " "    " " computation to increase perfs on some super-computers
+              	 			  # (will copy into it all requested forcing input & ".*(cfg|opa|ref|xml)" files)
+DIR_STOR=''    	 			  #    " "     for comparison (ASCII output & restart files of reference config)
+
+# NEMO overall configuration:
+[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''     # trunk, dev_v3_4_STABLE_2012, ...
+[ -z "${CONF_REFE}" ] && CONF_REFE=''     # ORCA2_LIM_PISCES, GYRE, ...
+[ -z "${CONF_TEST}" ] && CONF_TEST=''     # ${CONF_REFE}_trust, ...
+NEMO_HOME=''                              # NEMOGCM equivalent root directory
+                                          # (${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM, ...)
+
+# Comparatives directories localization:
+DIR_REFE=''			      	  # ${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
+DIR_TEST=''			      	  # ${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
+
+# External softs directories:
+DIR_XIOS=''			      	  # ${DIR_WORK}/XIOS/xios-1.0
+DIR_OASI=''			      	  # ${DIR_WORK}/OASIS        
+
+# NEMO inputs (fill in if necessary)
+NEMO_FORC=''                              # Directory synchronized with DODS server of IDRIS
+                                          # (${DIR_WORK}/NEMO/FORC, ...)
+FORC_TARF=''                              # Archive name (ORCA2_LIM_nemo_v3.6.tar, ...)
+
+# Mailing list to inform of a failure, -p|--publish option required
+[ -z "$MAIL"] && MAIL=''
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5285)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5286)
@@ -6,26 +6,25 @@
 export DATE_STR=$( LC_ALL=C date -d"${date_test}" +%Y%m%dT%H%M )
 
+# Sourcing user configuration
+. cfg/user.cfg
+export DIR_WORK  DIR_SCRA  DIR_STOR
+export NEMO_HOME NEMO_BRAN CONF_REFE CONF_TEST
+export DIR_REFE  DIR_TEST
+export DIR_XIOS  DIR_OASI
+export NEMO_FORC FORC_TARF
 
-# Sourcing super-computer running configuration
-. cfg/$ARCH.cfg
-
-export COMPILER MPI_NAME
-export JOB_SUBM JOB_LIST JOB_VIEW JOB_DELE
-export DIR_WORK DIR_SCRA DIR_STOR
-export DIR_XIOS DIR_OASI
-
-
-# Sourcing NEMO configuration
-. cfg/nemo.cfg
-
-export NEMO_HOME NEMO_FORC FORC_TARF
 NEMO_ARCH=${NEMO_HOME}/ARCH         ; NEMO_CONF=${NEMO_HOME}/CONFIG         ; NEMO_ENGI=${NEMO_HOME}/NEMO
 NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm ; NEMO_IPSL=${NEMO_HOME}/EXTERNAL/IOIPSL; NEMO_SETT=${NEMO_HOME}/SETTE
 NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
-export NEMO_ARCH NEMO_CONF NEMO_EFCM NEMO_ENGI NEMO_IPSL NEMO_SETT NEMO_TCMP
+export NEMO_ARCH NEMO_CONF NEMO_EFCM
+export NEMO_ENGI NEMO_IPSL NEMO_SETT
+export NEMO_TCMP
 
+# Sourcing super-computer configuration
+. cfg/$ARCH.cfg
+export CDO      COMPILER  MPI      NETCDF
+export JOB_SUBM JOB_LIST  JOB_VIEW JOB_DELE
+export NPROC    TIME_LIMI
+export ARCH_ENV
 
-# Comparatives directories localization
-DIR_REFE=${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
-DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
-export DIR_REFE DIR_TEST
+[ ! find ${NEMO_ARCH} -name arch-$ARCH.fcm ] && exit
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5285)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5286)
@@ -1,41 +1,37 @@
 #!/bin/bash
+#
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# History:
+# Modification: Nicolas-thierry.Martin@locean-ipsl.upmc.fr
+#
 
 
 # Set defaults
 DEBUG=0; PUBLISH=0; status='OK'
-NEMO_BRAN=trunk; # dev_r5092_CNRS_SETTE dev_v3_4_STABLE_2012
-ARCH=              # arch-${ARCH}.env to be sourced in ${DIR_XIOS} or leave blank without file
-CONF_REFE=ORCA2_LIM_PISCES
-CONF_TEST=${CONF_REFE}_trust
-#COMPILER=ifort gfortran f95 f90 pgfortran pgf95 pgf90 mpifort mpif90 mpiifort
-#MPI=bullxmpi openmpi mpich intel mpxlf
 
-
+# Get options && replace some initials settings
 while [ $# -ne 0 ]; do
     case $1 in
-        -b|--branch    ) NEMO_BRAN=$2         ; shift 2;;
-        -d|--debug     ) set -vx; DEBUG=1     ; shift  ;;
-        -h|--help|-help) cat trusting_help.txt; exit   ;;
-        -m|--machine   ) ARCH=$2              ; shift 2;;
-        -n|--newconf   ) CONF_TEST=$2         ; shift 2;;
-        -r|--refconf   ) CONF_REFE=$2         ; shift 2;;
-        -p|--publish   ) PUBLISH=1            ; shift  ;;
-	*)                                      break  ;;
+        -b|--branch ) NEMO_BRAN=$2         ; shift 2;; -d|--debug  ) set -vx; DEBUG=1     ; shift  ;;
+	-e|--email  ) MAIL=$2              ; shift 2;; -j|--job    ) NPROC=$2             ; shift 2;;
+	-h|--help   ) cat trusting_help.txt; exit   ;; -m|--machine) ARCH=$2              ; shift 2;;
+	-n|--newconf) CONF_TEST=$2         ; shift 2;; -r|--refconf) CONF_REFE=$2         ; shift 2;;
+	-t|--time   ) TIME_LIMI=$2         ; shift 2;; -p|--publish) PUBLISH=1            ; shift  ;;
+                   *) cat trusting_help.txt; exit   ;;
     esac
 done
-export ARCH CONF_REFE CONF_TEST DEBUG NEMO_BRAN PUBLISH
 
-#[ $# -ne 1 ] && { ./trusting.sh -h && exit; }
-# suspend debug mode (too verbose)
-#[ $debug -eq 1 ] && set +vx
+# Set super-computer & user environment
+[[ ! -z "$ARCH" && . trusting.env ]] || { ./trusting.sh -h && exit; }
+export DEBUG PUBLISH
 
 # Initialization
 #=============================================
 
-. trusting.env
 echo ${DIR_TEST}
 mkdir -p ${DIR_TEST} ${DIR_REFE}
 cd ${DIR_TEST}
-datestr1=$( LC_ALL=C date -d"$DATESTR" +%Y-%m-%dT%H:%M )
+datestr1=$( LC_ALL=C date -d"$DATE_STR" +%Y-%m-%dT%H:%M )
 printf "Date\n%s\n"       $datestr1 > mesg_01_date.txt
 
@@ -48,9 +44,9 @@
 # 
 #=============================================
-for rel in $COMPILER $MPI_NAME $NETCDFF; do
+for rel in $CDO $COMPILER $MPI $NETCDF; do
     printf "Step......................\nGet $rel release\n" > mesg_03_step.txt
-    arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
-    [ -z "${arch_rel}"  ] && arch_rel=$( echo $PATH | sed "s#.*$rel/\([^/]*\).*#\1#" )
-    [ $rel == $COMPILER ] && arch_rel=$( $FC --version | grep -m1 -o ' [0-9.]* ' )
+                             arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
+    [ -z "${arch_rel}"  ] && arch_rel=$( echo $PATH          | sed "s#.*$rel/\([^/]*\).*#\1#"  )
+    [ $( echo $rel | grep "$CDO\|$COMPILER" ) ] && arch_rel=$( $rel --version | grep -m1 -o ' [0-9.]* ' )
     echo $rel ${arch_rel} >> model.log
 done
@@ -64,5 +60,5 @@
 printf "Step......................\nCheckout XIOS, FCM-make(/EXTERNAL/fcm), NEMO engines (/NEMO) & configuration (/CONFIG)\n" > mesg_03_step.txt
 rev=0
-for dir in ${DIR_XIOS} ${NEMO_ARCH} ${NEMO_CONF} ${NEMO_EFCM} ${NEMO_ENGI} ${NEMO_IPSL} ${NEMO_TCMP}; do
+for dir in ${DIR_XIOS} ${NEMO_ARCH} ${NEMO_CONF} ${NEMO_EFCM} ${NEMO_ENGI} ${NEMO_IPSL} ${NEMO_SETT} ${NEMO_TCMP}; do
     svn up $dir
     rev_loc=$( svn info $dir | awk '(NR == 9) {print $NF}' )
@@ -76,6 +72,7 @@
 printf "Step......................\nCompilation NEMO configuration %s\n" ${CONF_REF} > mesg_03_step.txt
 cd ${NEMO_CONF}
+. ${ARCH_ENV}     # Sourcing architecture environment
 #[ -d ${CONF_TEST} ] && ./makenemo -n ${CONF_TEST} clean
-./makenemo -n ${CONF_TEST} -r ${CONF_REFE} -m $ARCH -j 16 #> /dev/null 2>&1
+./makenemo -n ${CONF_TEST} -r ${CONF_REFE} -m $ARCH -j $NPROC #> /dev/null 2>&1
 [ ! -e ${CONF_TEST}/BLD/bin/nemo.exe ] && getout
 
@@ -85,7 +82,13 @@
 cd ${DIR_TEST}
 find ${NEMO_CONF}/${CONF_TEST}/EXP00 -regex '.*\(cfg\|opa\|ref\|xml\)' -exec cp {} . \;
-cp ${NEMO_FORC}/${FORC_TAR} . && tar -tvf ${FORC_TAR} > inputs_list.txt && tar -vxf ${FORC_TAR}
-[ $? -ne 0 ] && getout
-gunzip *.gz
+
+if [ ! -z "${NEMO_FORC}" ]; then
+    cp ${NEMO_FORC}/${FORC_TAR} .
+    tar -tvf ${FORC_TAR} > inputs_list.txt && tar -vxf ${FORC_TAR}
+    [ $? -ne 0 ] && getout
+    gunzip *.gz
+else
+    touch inputs_list.txt
+fi
 
 
@@ -96,49 +99,42 @@
 [ $? -ne 0 ] && getout
 
-output_test=ocean.output   ; output_refe=${DIR_REFE}/ocean.output
-solver_test=solver.stat    ; solver_refe=${DIR_REFE}/solver.stat
-tracer_test=tracer.stat    ; tracer_refe=${DIR_REFE}/tracer.stat
-inputs_test=inputs_list.txt; inputs_refe=${DIR_REFE}/inputs_list.txt
-
-#time_elapsed=0; time_limit=10800; time_increment=300
-time_elapsed=0; time_limit=1080; time_increment=30
+time_elapsed=0; time_increment=300
 sleep ${time_increment}
-while [[ $( ${JOB_LIST} | grep $job_num ) && ${time_elapsed} -lt ${time_limit} ]] ; do
-#while [[ ! -f ${solver_test} && ${time_elapsed} -lt ${time_limit} ]] ; do
-    printf "\n####################################################" >> ${DIR_TEST}/mpp.log
-    ${JOB_VIEW} $job_num >> mpp.log
-#   ${JOB_VIEW} $id >> mpp.log
+while [[ $( ${JOB_LIST} | grep $job_num ) && ${time_elapsed} -lt ${TIME_LIMI} ]] ; do
+    printf "\n####################################################" >> computation.log
+    ${JOB_VIEW} $job_num                                            >> computation.log
     sleep ${time_increment}
-    let time_elapsed+=time_increment
+    let time_elapsed+=${time_increment}
 done
 
 
 #---------------------------------------------
-printf "Step......................\nTest if solver exists\n"   > mesg_03_step.txt
-#if [ ! -f ${solver_test} ]; then
-#    grep 'E R R O R' ocean.output    >> mesg_11_comments.txt
-#    sed 's/^/Time step :/' time.step >> mesg_11_comments.txt
-#    getout
-#fi
+printf "Step......................\nTest if ASCII output files exist\n"   > mesg_03_step.txt
+if      [ ! -f ${output_test} ]; then
+
+    getout
+else if [  ]
+
+    grep 'E R R O R' ocean.output    >> mesg_11_comments.txt
+    sed 's/^/Time step :/' time.step >> mesg_11_comments.txt
+fi
 
 
 #---------------------------------------------
-printf "Step......................\nTest solvers difference\n" > mesg_03_step.txt
-diff ${output_refe} ${output_test}
-[ $? -ne 0 ] && status='FAILED'
-diff ${solver_refe} ${solver_test}
-[ $? -ne 0 ] && status='FAILED'
-diff ${tracer_refe} ${tracer_test}
+printf "Step......................\nTest ASCII output files difference\n" > mesg_03_step.txt
+for file in ocean.output solver.stat tracer.stat; do
+    diff $file ${DIR_REFE}/$file
+    [ $? -ne 0 ] && status='FAILED'
+done
+
+
+#---------------------------------------------
+printf "Step......................\nTest last restart files difference\n" > mesg_03_step.txt
+diff_trusting 2>/dev/null
 [ $? -ne 0 ] && status='FAILED'
 
 
 #---------------------------------------------
-printf "Step......................\nTest outputs difference\n" > mesg_03_step.txt
-#diff_trusting 2>/dev/null
-#[ $? -ne 0 ] && status='FAILED'
-
-
-#---------------------------------------------
-printf "Comments\n\n"              >  mesg_11_comments.txt
+echo 'Comments'                    >  mesg_11_comments.txt
 grep 'W A R N I N G:' ocean.output >> mesg_11_comments.txt
 
@@ -148,11 +144,10 @@
     printf "Step......................\nGet Real CPU time\n" > mesg_03_step.txt
     real_cpu_time=$( ${JOB_VIEW} $job_num | awk 'END{print $9}')
-    [ $? -ne 0 ] && getout
     printf "Real CPU time\n%s\n" ${real_cpu_time} > mesg_08_realcputime.txt
 else
     printf "Step......................\nTest InputFiles difference\n" > mesg_03_step.txt
-    diff ${inputs_refe} ${inputs_test}
-    { [ $? -ne 0 ] && printf "InputFiles\n%s\n" "Different" > mesg_09_inputfiles.txt } || printf "InputFiles\n%s\n" "Same" > mesg_09_inputfiles.txt
-    getout
+    diff inputs_list.txt ${DIR_REFE}/inputs_list.txt
+    [ $? -ne 0 ] && getout
+    [[ $? -ne 0 && printf "InputFiles\n%s\n" "Different" > mesg_09_inputfiles.txt ]] || printf "InputFiles\n%s\n" "Same" > mesg_09_inputfiles.txt
 fi
 
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh	(revision 5285)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh	(revision 5286)
@@ -2,6 +2,6 @@
 
 function mesg_make { 
-    paste -d ';' mesg_*.txt > trusting_${DATESTR}.txt
-    cat trusting_${DATESTR}.txt
+    paste -d ';' mesg_*.txt > trusting_${DATE_STR}.txt
+    cat trusting_${DATE_STR}.txt
 }
 
@@ -12,11 +12,11 @@
 
   if [ -f ${DIR_TEST}/trusting.txt ] ; then
-      tail -1 trusting_${DATESTR}.txt >> ${DIR_TEST}/trusting.txt
+      tail -1 trusting_${DATE_STR}.txt >> ${DIR_TEST}/trusting.txt
   else
-      cp      trusting_${DATESTR}.txt    ${DIR_TEST}/trusting.txt
+      cp      trusting_${DATE_STR}.txt    ${DIR_TEST}/trusting.txt
   fi
 
-  cp trusting_${DATESTR}.txt ${DIR_TEST}
-#  chmod o+r ${DIR_TEST}/trusting_${DATESTR}.txt
+  cp trusting_${DATE_STR}.txt ${DIR_TEST}
+#  chmod o+r ${DIR_TEST}/trusting_${DATE_STR}.txt
   
 #  rm -rf              ${DIR_WORK}/../../dods/public/${LOGNAME}/trusting/${CONF_REF}
@@ -25,5 +25,5 @@
   
   # Send mail only when FAILED
-  if [ grep 'FAILED' mesg_02_status.txt ]; then
+  if [[ grep 'FAILED' mesg_02_status.txt && ! -z $MAIL ]]; then
       cat << END_MAIL > ${DIR_TEST}/trusting.mail
 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
@@ -39,5 +39,5 @@
 
 END_MAIL
-      mail -s "[trusting ${CONF_REF}] FAILED" ntmlod@locean-ipsl.upmc.fr < ${DIR_TEST}/trusting.mail
+      mail -s "[trusting ${CONF_REF}] FAILED" $MAIL < ${DIR_TEST}/trusting.mail
   fi
 
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt	(revision 5285)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt	(revision 5286)
@@ -1,4 +1,6 @@
 ----------------------------------------------------------------------------
 Usage: trusting [-h] [-d] [-p] configuration
+
+# ($ARCH & ./cfg/$ARCH.cfg file and at least arch-$ARCH.fcm file in NEMO ARCH dir are mandatory)
 
 Options: